
<app-header></app-header>
<header class="header" role="banner">
  <h1 class="logo">
    <a href="#">My <span>App</span></a>
  </h1>
  <div class="nav-wrap">
    <nav class="main-nav" role="navigation">
      <ul class="unstyled list-hover-slide">
        <li *ngIf = 'dataSource'><a [routerLink]="['/home']" [queryParams]="{id: dataSource.data.id}">Home</a></li>
        <li *ngIf = 'dataSource'><a [routerLink]="['/profile',dataSource.data.id]">Profile</a></li>
      </ul>
    </nav>
  </div>
</header>

   <table class="table cardHome"  >
    <thead>
      <tr>
        <th scope="col">userId</th>
        <th scope="col">username</th>
        <th scope="col">email</th>
        <th scope="col">phoneNumber</th>
        <th scope="col">bloodGroup</th>

      </tr>
    </thead>
    <tbody>
      <tr>
        <th *ngIf = "dataSource" scope="row">{{dataSource.data.id}}</th>
        <td *ngIf = 'dataSource'>{{dataSource.data.username}}</td>
        <td *ngIf = 'dataSource'>{{dataSource.data.email}}</td>
        <td *ngIf = 'dataSource'>{{dataSource.data.phoneNumber}}</td>
        <td *ngIf = 'dataSource'>{{dataSource.data.bloodGroup}}</td>

      </tr>

    </tbody>
  </table>
   
